﻿using System;

using Facade.FactionInfo;

namespace Facade.Units
{
    public class EliteUnit : GameUnit
    {
        public EliteUnit(FactionDetailsFactory factionFactory)
            : base(factionFactory)
        {
            Type = UnitType.EliteUnit;

            Description = FactionDetails.GetDescription(Type);
            ShootingBehaviour = FactionDetails.GetShootingBehaviour(Type);
            Armor = FactionDetails.GetArmor(Type);
        }

        public override void Display()
        {
            /* Display code */
        }
    }
}
